Bug Hunting Session
Bug 74124 - Pictures in Writer look ugly on the screen
Summary: Pictures in Writer look ugly on the screen
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.0 target:4.5.0
Keywords: regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-01-27 19:48 UTC by Jan Holesovsky
Modified: 2019-03-18 15:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
This document looks ugly in 4.2.0. (193.98 KB, application/vnd.oasis.opendocument.text)
2014-01-27 19:48 UTC, Jan Holesovsky
Details
Screenshot of the ugly rendering. (89.00 KB, image/png)
2014-01-27 19:49 UTC, Jan Holesovsky
Details
screenshot LO 4.2.0 vs 4.3.4 (129.34 KB, image/png)
2014-12-07 18:17 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-01-27 19:48:32 UTC
Created attachment 92878 [details]
This document looks ugly in 4.2.0.

Pictures inserted in documents that have to be scaled down look really ugly (using the most trivial scaling algorithm) when displayed on the screen.

See the attached document in master, compare to 4.1 where it looks nicely.

I'll attach also the screenshot of the ugly rendering.
Comment 1 Jan Holesovsky 2014-01-27 19:49:40 UTC
Created attachment 92879 [details]
Screenshot of the ugly rendering.
Comment 2 Commit Notification 2014-01-27 20:03:44 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cf3700b7a903e88f5296076c40ae854bce91cdc

fdo#74124: Scale the pictures before calling ImplDrawAlpha().



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-01-27 20:25:50 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39f0062a074c24fd2bdc5b20f457e51fc322c82b&h=libreoffice-4-2

fdo#74124: Scale the pictures before calling ImplDrawAlpha().


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-01-27 21:27:30 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3eb562503e94c25b6eb37bf66219f10ec67486bc&h=libreoffice-4-2-0

fdo#74124: Scale the pictures before calling ImplDrawAlpha().


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2014-07-10 16:36:22 UTC
Reverted on master I guess for performance reasons.
Comment 6 tommy27 2014-12-07 18:17:24 UTC
Created attachment 110539 [details]
screenshot LO 4.2.0 vs 4.3.4

tested under Win8.1 using LibO 4.3.4.1
some details of the rendering look even worse than 4.2.0 (see upper border of Help and Extension buttons and right border of the 3rd thumbnail)

moving this to mab4.3 list since 4.2.x is EOL
Comment 7 Commit Notification 2015-01-18 15:10:03 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d53103dd83bf20ac63485e229069f145e35b3009

fdo#74124 bilinear scaling with blending for some formats

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 billy78 2015-01-29 22:32:34 UTC
I installed
http://dev-builds.libreoffice.org/daily/master/win-x86@39/2015-01-29_15.54.41/master~2015-01-29_15.54.41_LibreOfficeDev_4.5.0.0.alpha0_Win_x86.msi
and problem is solved.

Can you please make the fix work for 4.4.0.3?
Comment 9 Luke 2015-02-08 06:27:03 UTC
billy78,
If you need pretty scaling, use 4.5. But, this patch should not be backported until all the regressions are worked out like Bug 88841. It's causing a MAB4.5 drawing issue under Linux.
Comment 10 Joel Madero 2016-02-10 22:40:17 UTC
4.4 EOL - removing request.
Comment 11 Luke 2019-03-18 15:27:49 UTC
The original cause of the change in rendering from 4.1 to 4.2 :

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2e5167528f7566dd9b000e50fc1610b7bf99132a